MenusSearch:
  post:
    tags:
      - cms_menus
    operationId: searchMenus
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\MenusController@search'
    x-lg-skip-request-generation: true
    summary: Search for objects of Menu
    description: Search for objects of Menu
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menus.yaml#/SearchMenusRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/menus.yaml#/SearchMenusResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "404":
        $ref: '../../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'
MenusSearchOne:
  post:
    tags:
      - cms_menus
    operationId: searchOneMenus
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\MenusController@searchOne'
    x-lg-skip-request-generation: true
    summary: Search for an object ofMenu
    description: Search for an object ofMenu
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menus.yaml#/SearchOneMenusRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/menus.yaml#/MenuResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "404":
        $ref: '../../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'
MenuCurrentTrees:
  put:
    tags:
      - cms_menus
    operationId: replaceMenuTrees
    x-lg-handler: 'App\Http\ApiV1\Modules\Cms\Controllers\MenuTreesController@update'
    summary: Updating the Menu tree
    description: Updating the Menu tree
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/menu_trees.yaml#/UpdateMenuTreesRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/menu_trees.yaml#/UpdateMenuTreesResponse'
      "401":
        $ref: '../../index.yaml#/components/responses/Unauthorized'
      "404":
        $ref: '../../index.yaml#/components/responses/NotFound'
      "400":
        $ref: '../../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Numeric ID
  example: 1
